Bug 188442 - [PATCH] URGENT: security/pkcs11-helper: update to 1.11
Summary: [PATCH] URGENT: security/pkcs11-helper: update to 1.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-10 21:20 UTC by Matthias Andree
Modified: 2014-04-11 10:00 UTC (History)
1 user (show)

See Also:


Attachments
pkcs11-helper-1.11.patch (2.31 KB, patch)
2014-04-10 21:20 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2014-04-10 21:20:00 UTC
- Update to 1.11
- chase move of MASTER_SITES and WWW
- update license BSD -> BSD3CLAUSE
- modernize USE_BZIP2 -> USES=tar:bzip2, update NOPORTDOCS
- move OPTIONS_DEFINE down to please portlint

Alex, please approve quickly because this version is the minimum
required version in the new OpenVPN 2.3.3. Thank you.

Port maintainer (ale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-10 21:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Matthias Andree freebsd_committer 2014-04-11 04:02:19 UTC
Redports build logs (all SUCCESS):
<https://redports.org/buildarchive/20140410200100-60851>
Comment 3 dfilter service freebsd_committer 2014-04-11 09:52:16 UTC
Author: ale
Date: Fri Apr 11 08:52:12 2014
New Revision: 350906
URL: http://svnweb.freebsd.org/changeset/ports/350906
QAT: https://qat.redports.org/buildarchive/r350906/

Log:
  Update to 1.11 release.
  
  PR:		ports/188442
  Submitted by:	mandree

Modified:
  head/security/pkcs11-helper/Makefile
  head/security/pkcs11-helper/distinfo
  head/security/pkcs11-helper/pkg-descr

Modified: head/security/pkcs11-helper/Makefile
==============================================================================
--- head/security/pkcs11-helper/Makefile	Fri Apr 11 08:45:24 2014	(r350905)
+++ head/security/pkcs11-helper/Makefile	Fri Apr 11 08:52:12 2014	(r350906)
@@ -2,25 +2,22 @@
 # $FreeBSD$
 
 PORTNAME=	pkcs11-helper
-PORTVERSION=	1.09
+PORTVERSION=	1.11
 CATEGORIES=	security devel
-MASTER_SITES=	http://www.opensc-project.org/files/${PORTNAME}/
+MASTER_SITES=	SF/opensc/pkcs11-helper/
 
 MAINTAINER=	ale@FreeBSD.org
 COMMENT=	A helper library for multiple PKCS\#11 providers
 
-OPTIONS_DEFINE=	DOCS
-
-LICENSE=	BSD GPLv2
+LICENSE=	BSD3CLAUSE GPLv2
 LICENSE_COMB=	dual
 LICENSE_FILE=	${WRKSRC}/COPYING
-LICENSE_FILE_BSD=	${WRKSRC}/COPYING.BSD
+LICENSE_FILE_BSD3CLAUSE=${WRKSRC}/COPYING.BSD
 LICENSE_FILE_GPLv2=	${WRKSRC}/COPYING.GPL
 
-USE_BZIP2=	yes
 USE_OPENSSL=	yes
 GNU_CONFIGURE=	yes
-USES=		pathfix pkgconfig
+USES=		libtool pathfix pkgconfig tar:bzip2
 USE_LDCONFIG=	yes
 
 CONFIGURE_ENV=	OPENSSL_CFLAGS="-I${OPENSSLINC}" \
@@ -29,6 +26,8 @@ CONFIGURE_ENV=	OPENSSL_CFLAGS="-I${OPENS
 CONFIGURE_ARGS=	--disable-crypto-engine-gnutls \
 		--disable-crypto-engine-nss
 
+OPTIONS_DEFINE=	DOCS
+
 PORTDOCS=	*
 
 post-patch:
@@ -36,11 +35,5 @@ post-patch:
 		${WRKSRC}/configure
 	@${REINPLACE_CMD} 's|install-data-am: install-apidocDATA|install-data-am:|' \
 		${WRKSRC}/doc/api/Makefile.in
-.if defined(NOPORTDOCS)
-	@${REINPLACE_CMD} 's|install-data-am: install-dist_docDATA|install-data-am:|' \
-		${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} 's|install-data-am: install-man install-nodist_htmlDATA|install-data-am: install-man|' \
-		${WRKSRC}/man/Makefile.in
-.endif
 
 .include <bsd.port.mk>

Modified: head/security/pkcs11-helper/distinfo
==============================================================================
--- head/security/pkcs11-helper/distinfo	Fri Apr 11 08:45:24 2014	(r350905)
+++ head/security/pkcs11-helper/distinfo	Fri Apr 11 08:52:12 2014	(r350906)
@@ -1,2 +1,2 @@
-SHA256 (pkcs11-helper-1.09.tar.bz2) = ed4f6db68458253599fbf0f8803f044a3448a49007ad072d54d0624953521885
-SIZE (pkcs11-helper-1.09.tar.bz2) = 375671
+SHA256 (pkcs11-helper-1.11.tar.bz2) = 05a078efe1261247f26751fa616de732a64dbe1ed6c83e8ea5e6e85d8f70ff2f
+SIZE (pkcs11-helper-1.11.tar.bz2) = 380697

Modified: head/security/pkcs11-helper/pkg-descr
==============================================================================
--- head/security/pkcs11-helper/pkg-descr	Fri Apr 11 08:45:24 2014	(r350905)
+++ head/security/pkcs11-helper/pkg-descr	Fri Apr 11 08:52:12 2014	(r350906)
@@ -13,4 +13,4 @@ object attributes are usually vendor spe
 application need to access existing objects in order to
 perform signature and decryption.
 
-WWW:	http://www.opensc-project.org/pkcs11-helper/
+WWW: https://github.com/OpenSC/pkcs11-helper
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alex Dupre freebsd_committer 2014-04-11 09:52:38 UTC
State Changed
From-To: open->closed

Updated, thanks!